ros-humble-gazebo-ros2-control (0.4.7-1jammy) jammy; urgency=high

  * Update gazebo_ros2_control_plugin.cpp (#286 <https://github.com/ros-controls/gazebo_ros2_control/issues/286>) (#287 <https://github.com/ros-controls/gazebo_ros2_control/issues/287>)
    (cherry picked from commit 5e1f9a52bcd1bf4164186dbb3c8b5cf070ed156e)
    Co-authored-by: Tobias Fischer <mailto:info@tobiasfischer.info>
  * set the robot description parameter (#277 <https://github.com/ros-controls/gazebo_ros2_control/issues/277>)
  * Fix crashing due to an invalid parameter in the initial value. (backport #271 <https://github.com/ros-controls/gazebo_ros2_control/issues/271>) (#282 <https://github.com/ros-controls/gazebo_ros2_control/issues/282>)
    * Fix crashing due to an invalid parameter in the initial value. (#271 <https://github.com/ros-controls/gazebo_ros2_control/issues/271>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit cdae6b8a8f638d87146482e99bf76cf36530e5a6)
    Co-authored-by: Wiktor Bajor <mailto:69388767+Wiktor-99@users.noreply.github.com>
    Co-authored-by: Alejandro Hernandez Cordero <mailto:ahcorde@gmail.com>
  * Contributors: AB, mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 20 Mar 2024 23:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.6-1jammy) jammy; urgency=high

  * Load the URDF to the resource_manager before parsing it to CM  (#262 <https://github.com/ros-controls/gazebo_ros2_control//issues/262>) (#266 <https://github.com/ros-controls/gazebo_ros2_control//issues/266>)
    * Load the URDF to the resource_manager before parsing it to CM constructor (fixes https://github.com/ros-controls/ros2_control/issues/1299)
    (cherry picked from commit f5baf71c4c7cb3c0a0af52f988c107b356c95ed0)
    Co-authored-by: Sai Kishor Kothakota <mailto:saisastra3@gmail.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Fix links in documentation (#263 <https://github.com/ros-controls/gazebo_ros2_control//issues/263>) (#264 <https://github.com/ros-controls/gazebo_ros2_control//issues/264>)
    (cherry picked from commit d44b879615a539fc7c6c53707ec518df7bfd4f47)
    Co-authored-by: Silvio Traversaro <mailto:silvio@traversaro.it>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.5-1jammy) jammy; urgency=high

  * Fix stuck passive joints (#237 <https://github.com/ros-controls/gazebo_ros2_control/issues/237>) (#238 <https://github.com/ros-controls/gazebo_ros2_control/issues/238>)
    (cherry picked from commit 5dba0f95a03b136f39145c846ec5ebbfb5a09599)
    Co-authored-by: Johannes Huemer <mailto:johannes.huemer@ait.ac.at>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 03 Jan 2024 23:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.4-1jammy) jammy; urgency=high

  * Catch pluginlib exceptions (backport #229 <https://github.com/ros-controls/gazebo_ros2_control/issues/229>) (#230 <https://github.com/ros-controls/gazebo_ros2_control/issues/230>)
    * Catch pluginlib exceptions (#229 <https://github.com/ros-controls/gazebo_ros2_control/issues/229>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit f8a475d3092e67b77846d76738ffad0861c680c1)
  * Set the C++ version to 17 (#221 <https://github.com/ros-controls/gazebo_ros2_control/issues/221>) (#228 <https://github.com/ros-controls/gazebo_ros2_control/issues/228>)
    (cherry picked from commit 6da415cf82a75e2a5e9f9a41400957ad45b2be84)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Removed unused var (#220 <https://github.com/ros-controls/gazebo_ros2_control/issues/220>) (#226 <https://github.com/ros-controls/gazebo_ros2_control/issues/226>)
    (cherry picked from commit 174e6b85f82774e9e802a5540382999066734421)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Remove plugin export from ROS 1 (#212 <https://github.com/ros-controls/gazebo_ros2_control/issues/212>) (#215 <https://github.com/ros-controls/gazebo_ros2_control/issues/215>)
    (cherry picked from commit c15af63cb036cd1f36cffbc56e5e5bdb5224c7e2)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Forced zero vel in position mode to avoid sagging (#213 <https://github.com/ros-controls/gazebo_ros2_control/issues/213>) (#214 <https://github.com/ros-controls/gazebo_ros2_control/issues/214>)
    (cherry picked from commit 3e950618a1f82c72097f7c90a6b5d2ea2e32b7b8)
    Co-authored-by: gwalck <mailto:guillaume.walck@stoglrobotics.de>
  * Various bug fixes (#177 <https://github.com/ros-controls/gazebo_ros2_control/issues/177>) (#208 <https://github.com/ros-controls/gazebo_ros2_control/issues/208>)
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * Add pre-commit and CI-format (#206 <https://github.com/ros-controls/gazebo_ros2_control/issues/206>) (#207 <https://github.com/ros-controls/gazebo_ros2_control/issues/207>)
    * Add pre-commit and ci-format
    (cherry picked from commit f2cf686a1a97cefc9b5e3daa115e0c4854ea5707)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich, mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.3-1jammy) jammy; urgency=high

  * add copy operator to SafeEnum (#197 <https://github.com/ros-controls/gazebo_ros2_control/issues/197>) (#198 <https://github.com/ros-controls/gazebo_ros2_control/issues/198>)
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 22 May 2023 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.2-1jammy) jammy; urgency=high

  * Export all dependencies (#183 <https://github.com/ros-controls/gazebo_ros2_control/issues/183>)
    The ament_export_dependencies exports dependencies to downstream
    packages. This is necessary so that the user of the library does
    not have to call find_package for those dependencies.
  * Contributors: Adrian Zwiener

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 01 Mar 2023 23:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.1-1jammy) jammy; urgency=high

  * Force setting use_sim_time parameter when using plugin. (#171 <https://github.com/ros-controls/gazebo_ros2_control/issues/171>)
  * Removed warning (#162 <https://github.com/ros-controls/gazebo_ros2_control/issues/162>)
  * Mimic joint should have the same control mode as mimicked joint. (#154 <https://github.com/ros-controls/gazebo_ros2_control/issues/154>)
  * Enable loading params from multiple yaml files (#149 <https://github.com/ros-controls/gazebo_ros2_control/issues/149>)
  * Contributors: Alejandro Hernández Cordero, Denis Štogl, Tony Najjar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 06 Feb 2023 23:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.0-1jammy) jammy; urgency=high

  * Implemented perform_command_mode_switch override in GazeboSystem (#136 <https://github.com/ros-simulation/gazebo_ros2_control/issues/136>)
  * added namespace to controller manager (#147 <https://github.com/ros-simulation/gazebo_ros2_control/issues/147>)
  * Activate all hardware in URDF (#144 <https://github.com/ros-simulation/gazebo_ros2_control/issues/144>)
  * activated all hardware by default (#143 <https://github.com/ros-simulation/gazebo_ros2_control/issues/143>)
  * Fix setting initial values if command interfaces are not defined. (#110 <https://github.com/ros-simulation/gazebo_ros2_control/issues/110>)
  * changed name to GazeboSystem (#142 <https://github.com/ros-simulation/gazebo_ros2_control/issues/142>)
  * Contributors: Denis Štogl, Keegan Sotebeer, Maciej Bednarczyk

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 08 Aug 2022 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.3.1-1jammy) jammy; urgency=high

  * Added logic for activating hardware interfaces (#139 <https://github.com/ros-simulation/gazebo_ros2_control/issues/139>)
  * Adjust repo URL (#134 <https://github.com/ros-simulation/gazebo_ros2_control/issues/134>)
  * Contributors: Alejandro Hernández Cordero, Bence Magyar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 04 Jul 2022 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.3.0-1jammy) jammy; urgency=high

  * Merge pull request #120 <https://github.com/ros-simulation/gazebo_ros2_control/issues/120> from ros-simulation/ahcorde/main/117
    Adapted to Humble
  * make linters happy
  * Merge remote-tracking branch 'denis/using-under-namespace' into ahcorde/main/117
  * update read/write interface functions of ros2_control parts
    This is needed since the ros2_control interfaces have been update
  * Declare dependency of gazebo_hardware_plugins to urdf in CMakeLists.txt (#117 <https://github.com/ros-simulation/gazebo_ros2_control/issues/117>)
  * ros2_control is now having usings under its namespace.
  * Fix mimic joint for effort command (#109 <https://github.com/ros-simulation/gazebo_ros2_control/issues/109>)
  * Support for mimic joints and example with gripper. (#107 <https://github.com/ros-simulation/gazebo_ros2_control/issues/107>)
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich, Denis Štogl, Manuel M, Martin Wudenka, ahcorde

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 26 May 2022 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.0.8-1jammy) jammy; urgency=high

  * Enable setting default position of the simulated robot using ros2_control URDF tag. (#100 <https://github.com/ros-simulation/gazebo_ros2_control//issues/100>)
  * Contributors: Denis Štogl

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 27 Jan 2022 23:00:00 -0000

ros-humble-gazebo-ros2-control (0.0.7-1jammy) jammy; urgency=high

  * Pass ROS time instead of SYSTEM time to update function (#97 <https://github.com/ros-simulation/gazebo_ros2_control//issues/97>)
  * Contributors: Błażej Sowa

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 02 Dec 2021 23:00:00 -0000

ros-humble-gazebo-ros2-control (0.0.6-1jammy) jammy; urgency=high

  * Fix ros2_control resource manager in galatic (#96 <https://github.com/ros-simulation/gazebo_ros2_control//issues/96>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-humble-gazebo-ros2-control (0.0.4-1jammy) jammy; urgency=high

  * Added testing CI (#93 <https://github.com/ros-simulation/gazebo_ros2_control//issues/93>)
    Co-authored-by: Bence Magyar <mailto:bence.magyar.robotics@gmail.com>
    Co-authored-by: Bence Magyar <mailto:bence.magyar.robotics@gmail.com>
  * fix maintainer email (#92 <https://github.com/ros-simulation/gazebo_ros2_control//issues/92>)
  * Galactic: Pass time and period to update function (#88 <https://github.com/ros-simulation/gazebo_ros2_control//issues/88>)
  * Export interfaces created in init (#83 <https://github.com/ros-simulation/gazebo_ros2_control//issues/83>)
  * Add Imu and FT state interfaces (#65 <https://github.com/ros-simulation/gazebo_ros2_control//issues/65>)
    Co-authored-by: Jordan Palacios <mailto:jordan.palacios@pal-robotics.com>
  * Contributors: Alejandro Hernández Cordero, Bence Magyar, Błażej Sowa, Victor Lopez

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 25 Oct 2021 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.0.3-1jammy) jammy; urgency=high

  * Forward sdf ros remappings to loaded controllers (#80 <https://github.com/ros-simulation/gazebo_ros2_control/issues/80>)
    Co-authored-by: Jonatan Olofsson <mailto:jonatan.olofsson@saabgroup.com>
  * Join with the controller manager's executor thread on exit (#79 <https://github.com/ros-simulation/gazebo_ros2_control/issues/79>)
  * Ensure that sim_joints_ always has the same number of elements as the… (#77 <https://github.com/ros-simulation/gazebo_ros2_control/issues/77>)
  * Write joints on each simulation update period (#78 <https://github.com/ros-simulation/gazebo_ros2_control/issues/78>)
  * Contributors: Jonatan Olofsson, Kenneth Bogert, Victor Lopez

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 15 Jun 2021 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.0.2-1jammy) jammy; urgency=high

  * add ros parameters file to node context (#60 <https://github.com/ros-simulation/gazebo_ros2_control//issues/60>)
    Co-authored-by: ahcorde <mailto:ahcorde@gmail.com>
  * Expose include path (#58 <https://github.com/ros-simulation/gazebo_ros2_control//issues/58>)
  * Added License file (#55 <https://github.com/ros-simulation/gazebo_ros2_control//issues/55>)
  * Fixed state interfaces (#53 <https://github.com/ros-simulation/gazebo_ros2_control//issues/53>)
  * Contributors: Alejandro Hernández Cordero, Chen Bainian, Karsten Knese

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Sun, 18 Apr 2021 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.0.1-1jammy) jammy; urgency=high

  * Updated with ros2-control Foxy API (#44 <https://github.com/ros-simulation/gazebo_ros2_control/issues/44>)
    Co-authored-by: Karsten Knese <mailto:Karsten1987@users.noreply.github.com>
  * Added initial version of gazebo_ros2_control (#1 <https://github.com/ros-simulation/gazebo_ros2_control/issues/1>)
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Karsten Knese, Bence Magyar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 04 Feb 2021 23:00:00 -0000


